package cn.superdesk.uniorder.dao.mapper.invoice.customer;

import cn.superdesk.uniorder.dao.entity.invoice.customer.InvoiceApplyXGoods;
import cn.superdesk.uniorder.dao.entity.invoice.customer.InvoiceApplyXGoodsExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface InvoiceApplyXGoodsMapper {
    long countByExample(InvoiceApplyXGoodsExample example);

    int deleteByExample(InvoiceApplyXGoodsExample example);

    int deleteByPrimaryKey(Long id);

    int insert(InvoiceApplyXGoods record);

    int insertSelective(InvoiceApplyXGoods record);

    List<InvoiceApplyXGoods> selectByExample(InvoiceApplyXGoodsExample example);

    InvoiceApplyXGoods selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") InvoiceApplyXGoods record, @Param("example") InvoiceApplyXGoodsExample example);

    int updateByExample(@Param("record") InvoiceApplyXGoods record, @Param("example") InvoiceApplyXGoodsExample example);

    int updateByPrimaryKeySelective(InvoiceApplyXGoods record);

    int updateByPrimaryKey(InvoiceApplyXGoods record);
}